from selenium import webdriver

# Connect to Appium (assumes local Android device connected)
caps = {
    "platformName": "Android",
    "deviceName": "RaspberryPi_Device",
    "app": "/path/to/app.apk",
}

driver = webdriver.Remote("http://localhost:4723/wd/hub", caps)

# Run a simple test
driver.find_element_by_accessibility_id("LoginButton").click()
print("Test completed successfully!")

driver.quit()